-- --------------------------------------------------------
-- Host:                         localhost
-- Server Version:               8.0.30-0ubuntu0.22.04.1 - (Ubuntu)
-- Server Betriebssystem:        Linux
-- HeidiSQL Version:             12.1.0.6537
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


-- Exportiere Datenbank Struktur für EuroData
DROP DATABASE IF EXISTS `EuroData`;
CREATE DATABASE IF NOT EXISTS `EuroData` /*!40100 DEFAULT CHARACTER SET utf8mb3 */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `EuroData`;

-- Exportiere Struktur von Tabelle EuroData.Kind
DROP TABLE IF EXISTS `Kind`;
CREATE TABLE IF NOT EXISTS `Kind` (
  `Mnr` int NOT NULL DEFAULT '0',
  `Vorname` char(30) NOT NULL DEFAULT '',
  `Geburtsdatum` date DEFAULT NULL,
  PRIMARY KEY (`Mnr`,`Vorname`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- Exportiere Daten aus Tabelle EuroData.Kind: 12 rows
DELETE FROM `Kind`;
/*!40000 ALTER TABLE `Kind` DISABLE KEYS */;
INSERT INTO `Kind` (`Mnr`, `Vorname`, `Geburtsdatum`) VALUES
	(100, 'Pia', '2014-08-05'),
	(101, 'Benedikt', '2015-07-20'),
	(101, 'Heidi', '2015-02-02'),
	(101, 'Martin', '2015-07-20'),
	(207, 'Gudrun', '2015-06-04'),
	(701, 'Patrick', '2014-09-01'),
	(711, 'Daniela', '2015-07-17'),
	(711, 'Sahra', '2015-08-05'),
	(711, 'Toni', '2015-08-05'),
	(805, 'Silke', '2014-05-05'),
	(805, 'Tobias', '2015-07-06'),
	(809, 'Kathrin', '2015-03-04');
/*!40000 ALTER TABLE `Kind` ENABLE KEYS */;

-- Exportiere Struktur von Tabelle EuroData.Mitarbeiter
DROP TABLE IF EXISTS `Mitarbeiter`;
CREATE TABLE IF NOT EXISTS `Mitarbeiter` (
  `Mnr` int NOT NULL DEFAULT '0',
  `Name` char(30) DEFAULT NULL,
  `Vorname` char(30) DEFAULT NULL,
  `Strasse` char(30) DEFAULT NULL,
  `PLZ` int DEFAULT NULL,
  `Ort` char(30) DEFAULT NULL,
  `Telefon` char(20) DEFAULT NULL,
  `Geschlecht` enum('m','w') DEFAULT NULL,
  `Eingestellt` date DEFAULT NULL,
  PRIMARY KEY (`Mnr`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- Exportiere Daten aus Tabelle EuroData.Mitarbeiter: 21 rows
DELETE FROM `Mitarbeiter`;
/*!40000 ALTER TABLE `Mitarbeiter` DISABLE KEYS */;
INSERT INTO `Mitarbeiter` (`Mnr`, `Name`, `Vorname`, `Strasse`, `PLZ`, `Ort`, `Telefon`, `Geschlecht`, `Eingestellt`) VALUES
	(100, 'Meier', 'Ingrid', 'Amselweg 11', 53101, 'Bonn', '02281/124578', 'w', '2005-01-01'),
	(101, 'Schneider', 'Ute', 'Hauptstrasse 17', 50012, 'Köln', '0221/215211', 'w', '2005-01-01'),
	(108, 'Wasser', 'Ute', 'Weststr. 20', 52074, 'Aachen', '0241/875554', 'w', '2005-12-01'),
	(200, 'Huber', 'Sepp', 'Bodenseestr.123', 81243, 'München', '089/8744397', 'm', '2006-02-01'),
	(207, 'Schmitz', 'Hans', 'Siegburger Str.51', 50679, 'Köln', '0221/814447', 'm', '2006-05-01'),
	(209, 'Schmidt', 'Jürgen', 'Osdorferweg 7', 22607, 'Hamburg', '040/899899', 'm', '2006-05-01'),
	(611, 'Kammer', 'Ulrike', 'Hauptstr. 171', 52146, 'Würselen', '02405/712217', 'w', '2008-06-01'),
	(700, 'Klein', 'Kurth', 'Jollystr.99', 76137, 'Karlsruhe', '0721/9812124', 'm', '2006-09-15'),
	(701, 'Huber', 'Anke', 'Gabelsberger Str. 70', 86199, 'Augsburg', '0821/98666', 'w', '2006-12-01'),
	(710, 'Schmidt', 'Beate', 'Klosterstr. 1', 40211, 'Düsseldorf', '0211/363636', 'w', '2007-04-01'),
	(711, 'Bauer', 'Klaus', 'Spielhagenstr. 113', 30107, 'Hannover', '0511/833883', 'm', '2007-04-01'),
	(800, 'Meier', 'Anton', 'Tiroler Weg 32', 79111, 'Freiburg', '0761/443444', 'm', '2007-06-01'),
	(802, 'Meier', 'Doris', 'Hauptstr. 32', 98528, 'Suhl', '03681/440044', 'w', '2008-01-01'),
	(105, 'Berg', 'Anton', 'Am Funkturm 156', 65203, 'Wiesbaden', '0611/928792', 'm', '2005-09-01'),
	(803, 'Schmidt', 'Barbara', 'Rößlerstr. 33', 9120, 'Chemnitz', '0371/525212', 'w', '2008-01-01'),
	(804, 'Walczak', 'Hildegard', 'Altleubnitz 21', 1219, 'Dresden', '0351/788285', 'w', '2008-05-15'),
	(805, 'Schmitz', 'Klaus', 'Vogelsanger Str. 77', 50666, 'Koeln', '0221/561112', 'm', '2008-06-01'),
	(806, 'Lausen', 'Werner', 'Münstereifelder Str. 22', 53879, 'Euskirchen', '02251/868657', 'm', '2008-06-01'),
	(807, 'Görner', 'Heidrun', 'Waldstr. 97', 51145, 'Köln-Porz', '02203/912778', 'w', '2008-06-01'),
	(809, 'Preuß', 'Karl', 'Peter-Paul-Str. 67', 52249, 'Eschweiler', '02403/151515', 'm', '2008-06-01'),
	(810, 'Messner', 'Bärbel', 'Levenstr. 88', 50259, 'Pulheim', '02238/980021', 'w', '2008-06-01');
/*!40000 ALTER TABLE `Mitarbeiter` ENABLE KEYS */;

-- Exportiere Struktur von Tabelle EuroData.Projekt
DROP TABLE IF EXISTS `Projekt`;
CREATE TABLE IF NOT EXISTS `Projekt` (
  `ProjNr` int NOT NULL DEFAULT '0',
  `Bezeichnung` char(40) DEFAULT NULL,
  `Auftragswert` decimal(8,2) DEFAULT NULL,
  `bezahlt` decimal(8,2) DEFAULT NULL,
  `Beginn` date DEFAULT NULL,
  `Ende` date DEFAULT NULL,
  `Storno` enum('0','1') DEFAULT NULL,
  `Leiter` int DEFAULT NULL,
  PRIMARY KEY (`ProjNr`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- Exportiere Daten aus Tabelle EuroData.Projekt: 14 rows
DELETE FROM `Projekt`;
/*!40000 ALTER TABLE `Projekt` DISABLE KEYS */;
INSERT INTO `Projekt` (`ProjNr`, `Bezeichnung`, `Auftragswert`, `bezahlt`, `Beginn`, `Ende`, `Storno`, `Leiter`) VALUES
	(77, 'Schulvernetzung', 50000.00, 12000.00, '2018-06-30', '0000-00-00', '0', 100),
	(78, 'PC Tausch', 8000.00, 0.00, '2018-07-01', '2018-08-15', '0', 810),
	(79, 'Arztpraxis', 35000.00, 7500.00, '2018-09-01', '0000-00-00', '0', 200),
	(80, 'Backup', 60.00, NULL, '2018-07-01', '2018-08-31', '1', 800),
	(81, 'Krankenhausvernetzung', 24000.00, 5000.00, '2018-07-05', '0000-00-00', '0', 100),
	(82, 'Softwareentwicklung', 40000.00, 0.00, '2018-08-01', '0000-00-00', '0', 101),
	(84, 'Verwaltungsgebäude', 180000.00, 30000.00, '2018-08-01', '0000-00-00', '0', 805),
	(85, 'Datenbank', 10000.00, NULL, '2018-07-01', '0000-00-00', '1', 700),
	(86, 'Festplatten', 15000.00, NULL, '2018-08-10', '0000-00-00', '0', 809),
	(87, 'Systeminst.', 25000.00, NULL, '2018-06-01', '2018-06-10', '1', 803),
	(88, 'BS neu inst.', 20000.00, 3000.00, '2018-09-01', '0000-00-00', '0', 804),
	(89, 'Monitor', 60000.00, NULL, '2018-10-01', '0000-00-00', '0', 803),
	(90, 'CD ROM Einbau', 9500.00, NULL, '2018-10-08', '0000-00-00', '0', 200),
	(91, 'Server', 5000.00, NULL, '2018-10-15', '0000-00-00', '0', 810);
/*!40000 ALTER TABLE `Projekt` ENABLE KEYS */;

-- Exportiere Struktur von Tabelle EuroData.ProjektMitarbeiter
DROP TABLE IF EXISTS `ProjektMitarbeiter`;
CREATE TABLE IF NOT EXISTS `ProjektMitarbeiter` (
  `ProjNr` int NOT NULL DEFAULT '0',
  `Mnr` int NOT NULL DEFAULT '0',
  `Zeitanteil` int DEFAULT NULL,
  PRIMARY KEY (`ProjNr`,`Mnr`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- Exportiere Daten aus Tabelle EuroData.ProjektMitarbeiter: 37 rows
DELETE FROM `ProjektMitarbeiter`;
/*!40000 ALTER TABLE `ProjektMitarbeiter` DISABLE KEYS */;
INSERT INTO `ProjektMitarbeiter` (`ProjNr`, `Mnr`, `Zeitanteil`) VALUES
	(77, 100, 10),
	(77, 101, 5),
	(77, 805, 20),
	(78, 804, 6),
	(78, 810, 8),
	(79, 200, 10),
	(79, 701, 30),
	(80, 105, 20),
	(80, 108, 5),
	(80, 711, 3),
	(80, 800, 5),
	(80, 803, 5),
	(80, 804, 5),
	(81, 100, 3),
	(81, 806, 10),
	(81, 807, 10),
	(81, 809, 20),
	(82, 101, 5),
	(82, 207, 30),
	(82, 710, 5),
	(84, 108, 5),
	(84, 700, 3),
	(84, 710, 5),
	(85, 700, 35),
	(86, 804, 6),
	(86, 809, 10),
	(87, 803, 10),
	(88, 101, 3),
	(88, 711, 5),
	(88, 804, 15),
	(89, 803, 20),
	(89, 807, 10),
	(90, 200, 5),
	(90, 802, 25),
	(91, 108, 8),
	(91, 800, 12),
	(91, 810, 5);
/*!40000 ALTER TABLE `ProjektMitarbeiter` ENABLE KEYS */;

/*!40103 SET TIME_ZONE=IFNULL(@OLD_TIME_ZONE, 'system') */;
/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IFNULL(@OLD_FOREIGN_KEY_CHECKS, 1) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40111 SET SQL_NOTES=IFNULL(@OLD_SQL_NOTES, 1) */;
